/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.demo.simple;

/**
 * @author Shen Li
 */
public abstract class FooImpl implements Foo {
    public void foo() {
        System.out.println();
        System.out.println("invoking Foo.foo()...");
        System.out.println("parameter value: " + getParamName());
    }

    public abstract String getParamName();
}
